<script setup lang="ts">
onLaunch(() => {
    console.log("App Launch");
    xma.login({
        provider: "weixin", //使用微信登录
        success: function (loginRes) {
            console.log(loginRes.authResult);
        },
        fail(err) {
            console.log("============", err);
        }
    });
});

onShow(() => {
    console.log("App Show");
    console.log("============");
    /* uni.chooseLocation({
        success: function (res) {
            console.log("位置名称：" + res.name);
            console.log("详细地址：" + res.address);
            console.log("纬度：" + res.latitude);
            console.log("经度：" + res.longitude);
        }
    }); */
    // uni.getLocation({
    //     type: "wgs84",
    //     success: function (res) {
    //         console.log("当前位置的经度：" + res.longitude);
    //         console.log("当前位置的纬度：" + res.latitude);
    //     },
    //     fail(err) {
    //         console.log("errerrerr", err);
    //     }
    // });
});

onHide(() => {
    console.log("App Hide");
});
</script>
<style lang="scss">
@import "@/static/style/common.scss";
.multi-line {
    display: -webkit-box; /* 作为弹性伸缩盒子模型显示 */
    overflow: hidden; /* 溢出隐藏 */
    text-overflow: ellipsis; /* 溢出显示省略号 */
    -webkit-box-orient: vertical; /* 垂直排列子元素 */
    -webkit-line-clamp: 1; /* 显示的行数 */
}
</style>
